<div class="col-10 mx-auto mt-3" *ngIf="image">
  <h2>{{pageTitle}}</h2>
  <h4>{{image.description}}</h4>
  <h5>Creado: {{image.created_at | amLocal | amDateFormat: 'DD/MM/YY HH:mm'}}</h5>
  <hr>
  <div class="text-center">
    <img src="{{url + 'get-image-file/' + image.picture}}" width="90%">
  </div>
  <div class="col-6 mx-auto mt-3 mb-3 d-flex justify-content-center">
    <a class="btn btn-outline-success mx-4" [routerLink]="['/album',image.album._id]">Volver al álbum</a>
    <a class="btn btn-outline-warning mx-4" [routerLink]="['/editar-imagen',image._id]">Editar imagen</a>
    <button type="button" class="btn btn-outline-danger mx-4" data-toggle="modal" data-target="#deleteModal">Borrar imagen</button>

    <!-- Modal borrar imagen-->
    <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" > Confirma borrar foto</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            ¿Seguro que quieres borrar la foto "{{image.title}}"?
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
            <button type="button" class="btn btn-primary" data-dismiss="modal" (click)="deleteImage(image._id)">Sí, borrar</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>